/*== 共通パーツ ==*/
/*= webfont =*/
@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@100..900&family=Crimson+Text&display=swap&family=Roboto:ital,wdth,wght@0,75..100,100..900;1,75..100,100..900&family=Mochiy+Pop+One&display=swap');
/*= メインコンテンツ =*/
#body-wrapper {
  @media screen and (min-width:1024px){
    background: #f3f3f7;
  }
  font-family: "Zen Maru Gothic", sans-serif;
  padding-bottom: 2rem;
  /* ページタイトル */
  .page-header {
    background: var(--white);
    @media screen and (min-width:1024px){
      text-align: center;
      background-image: repeating-linear-gradient(10deg, var(--white), #E7F3FE 1px, #E7F3FE 60px, var(--white) 61px, var(--white) 80px);
    }
    .eyecatch {
      padding: 2rem 0;
      text-align: center;
    }
    @media screen and (min-width:1024px){
      img {
        width:auto;
      }
    }
    h1 {
      background: var(--white);
    }
    h1 .inner_box{
      color: var(--main-color);
      font-weight: 900;
      font-size: 1.5rem;
      padding: 1rem 1.6rem;
      line-height: 1.4;
      text-align: left;
      @media screen and (min-width:1024px){
        font-size: 2.5rem;
        text-align: center;
        max-width: 100%;
      }
    }
  }
  .page-body {
    @media screen and (min-width:1024px){
      padding-top: 2rem;
      .inner_box {
        background: var(--white);
        padding: 1.6rem 2rem;
      }
    }
    h2{
      font-size: 1.75rem;
    }
    h3 {
      font-size: 1.5rem;
    }
    h4 {
      font-size: 1.333rem;
    }
    h5 {
      font-size: 1.25rem;
    }
    h6 {
      font-size: 1.125rem;
    }
    h2,h3,h4,h5,h6{
      margin-bottom: 1.25rem;
      font-weight: 700;
      color: var(--main-color);
    }
    a{
      color: #dc4231;
      text-decoration: underline;
    }
    mark {
      font-style: normal;
    }
    .wp-block-buttons {
      padding: 1.6rem ;
    }
    .wp-block-button__link {
      background: none;
      border-radius: 1rem;
      border: var(--accent-color) 2px solid;
      display: block;
      padding:1.25rem 2.75rem;
      color: var(--accent-color);
      position: relative;
      text-align: center;
      width: auto;
      display: inline-block;
      font-weight: 700;
      text-decoration: none;
    }
    .wp-block-button__link:before {
      content: "";
      width: .5rem;
      height: .5rem;
      position: absolute;
      top: 0;
      bottom: 0;
      right: .875rem;
      margin: auto;
      border: 2px solid transparent;
      border-top: 2px solid var(--accent-color);
      border-right: 2px solid var(--accent-color);
      transform: rotate(45deg);
      border-radius: 2px;
    }
    .has-x-large-font-size,
    .has-large-font-size,
    .has-medium-font-size,
    .has-small-font-size{
      &,& > * {
        margin-bottom: 1rem;
      }
    }

    .has-x-large-font-size{
      &,& > * {
        font-size: 1.5rem;
        line-height: 1.2;
      }
    }
    .has-large-font-size{
      &,& > * {
        font-size: 1.333rem;
        line-height: 1.2;
      }
    }
    .has-medium-font-size{
      &,& > * {
        font-size: 1.25rem;
        line-height: 1.4;
      }
    }
    .has-small-font-size{
      &,& > * {
        font-size: .875rem;
        line-height: 1.4;
      }
    }
    .wp-block-media-text {
      margin-bottom: 1.5rem;
      @media screen and (min-width:1024px){
        gap: 1rem;
      }
    }
    .wp-block-media-text__content {
      padding: 1rem;
      background: var(--gray-light);
    }
    ul,ol,dl,table {
      margin-bottom: 1.5rem;
    }
    ul,ol{
      padding-left: 1.5rem;
    }
    ol li {
      list-style-type: decimal;
      padding:.5rem 0;
      line-height: 1.4;
    }
    ul li {
      list-style-type: disc;
      padding:.5rem 0;
      line-height: 1.4;
    }
    table {
      border-left: 2px solid #f0f5fb;
      border-top: 2px solid #f0f5fb;
    }
    thead,tfoot{
      border: none;
    }
    th,td {
      border-right: 2px solid #f0f5fb;
      border-bottom: 2px solid #f0f5fb;
      line-height: 1.3;
    }
    th,
    tfoot td{
      background: #bdd2ee;
      padding: .875rem .5rem;
    }
  }
}